package org.steveshipway.cheshirecat.block;

import java.util.Random;

import org.steveshipway.cheshirecat.CCBlocks;
import org.steveshipway.cheshirecat.lib.Constants;

import cpw.mods.fml.common.registry.GameRegistry;
import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;

// define the AlanBlock.  It is a bit like rock.
public class AlanBlock extends Block {
    private String name = "alanBlock";

	// constructor
    public AlanBlock(){
        super(Material.rock);
        this.setCreativeTab(CreativeTabs.tabBlock);  // which creative mode tab
        this.setBlockName(Constants.MODID + "_" + name); // intenal blockname
        setBlockTextureName(Constants.MODID + ":" + name); // texture filename
        setLightLevel(0.5F); // 1=full sunlight
        setStepSound(soundTypeGlass);  // sound family
        setResistance(200.0F);  // resistance to explosions; stone=10, obsidian=2000
        setHardness(2.0F); // how long to break; stone=1.5, obsidian=50
        setHarvestLevel("pickaxe", 2); // required tool: 0 is wood, 1 iron, 2 diamond, 3 obsidian
        setHarvestLevel("wand",0,0);
        // setMaxStackSize(8);
        
        GameRegistry.registerBlock(this, name);
    }
    
    @Override
    public Item getItemDropped(int metadata, Random random, int fortune) {
        return Item.getItemFromBlock(CCBlocks.alanBlock);
    }
    @Override
    public int quantityDropped(Random r)
    {
        return r.nextInt(3);
    }
}
