package org.steveshipway.cheshirecat.directive;

import net.minecraft.util.ChunkCoordinates;
import net.minecraft.world.World;

// null directive
// parent class for all other directives
public class Directive {
	protected boolean error = false;
	protected int distance = -1;
	protected String description = null;
	protected String option = null;
	// no parameters
	
	public Directive() {
		// nothing to parse for setup
	}
	
	public boolean build(World world, ChunkCoordinates location, int r) {
		// nothing to do to build it
		return true;
	}
	
	public String asText() {
		return "# Null operation";
	}

	public String description() {
		return description;
	}
	public String option() {
		return option;
	}
	public int distance() {
		return distance;
	}
	// utility function to inherit
	protected ChunkCoordinates rotateAndAdd( ChunkCoordinates c, int r, ChunkCoordinates offset ) {
		ChunkCoordinates rc = new ChunkCoordinates(c);
		r = r & 3;
		if( r == 1 ) {
			rc.posX = -c.posZ;
			rc.posZ = c.posX;
		} else if( r == 2 ) {
			rc.posX = -c.posX;
			rc.posZ = -c.posZ;
		} else if( r == 3 ) {
			rc.posX = c.posZ;
			rc.posZ = -c.posX;
		}
		rc.posX += offset.posX;
		rc.posY += offset.posY;
		rc.posZ += offset.posZ;
		return rc;
	}
	
}
