package org.steveshipway.cheshirecat.directive;

import java.util.List;
import java.util.Random;
import java.util.Iterator;
import java.util.LinkedList;

import org.steveshipway.cheshirecat.CheshireCat;
import org.steveshipway.cheshirecat.ChunkCoordinates;

import net.minecraft.world.World;

public class RandomDirective extends Directive {
	private List directives = null;
	
	public RandomDirective(List dl) {
		if( dl == null ) {
    		CheshireCat.logger.error("No secondary directive given to RANDOM directive");
			return;
		}
		directives = dl;
	}
	
	@Override
	public boolean build(World world, ChunkCoordinates location, int r) {
		Random rnd = new Random();
		if( directives == null ) {
    		CheshireCat.logger.error("No directive set given to RANDOM directive");
			return false;
		}
		int n = rnd.nextInt( directives.size() );
		return ((Directive) directives.get(n)).build(world,location,r);
	}
	
	@Override
	public String asText() {
		String s;
		if( directives == null) {
			return "# RANDOM 0";
		}
		s = "RANDOM "+this.directives.size();
		Iterator i = this.directives.iterator();
		while( i.hasNext() ) {
			Directive d = (Directive) i.next();
			s = s+"\n  "+d.asText();
		}
		return s;
	}
}
